spurious warning at boot time that is unrelated to your actual problem

Reported by Scott Shields on 2010-03-02
546
This bug affects 119 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Nominated for Lucid by achab
Nominated for Maverick by DrPharmacy

Bug Description

Often I'll get the following error message while booting:

GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)

I believe that is the error anyways. I am unable to find it in my logs. I scribbled it down onto a piece of paper and then searched online for a similar error. This message displays after/during Plymouth but prevents GDM from displaying. I can hear the familiar "login ready" sound, so I know GDM has loaded, I just cannot see it. I will then have to press a key to get to the login screen.

I used the Alternative CD to install Alpha 3. Fully up-to-date since a few hours ago. I do have Encrypted Home Directory set up for my main user and this might be related. For when I get this error message, I do not see the usual "Waiting to mount encrypted swap..." (something like that) which appears under the Ubuntu logo.

description: updated
description: updated
affects: ubuntu → util-linux (Ubuntu)
Michael McDonald (mikencolleen) wrote :

I get the same problem consistently while booting Mythbuntu 10.04 Alpha 3 AMD64 on my laptop - Acer 4315. Will try and upload screenshot.

Zack (zack-gilburd) wrote :

Confirmed for regular Ubuntu Lucid.

TiagoCruz (tiagocruz) wrote :

Same here.

I've tried lucid-desktop-amd64.iso and lucid-desktop-i386.iso without sucess.

Hardware: Dell Latitude E4300

Ramón Rocha (ramon.rocha) wrote :

Unlike the bug reporter, I never get to the gdm login screen. They keyboard is not responsive. Every two minutes I get the messages in the attached screenshot.

avius (avi142) wrote :

I recently upgraded to lucid alpha and I have an infinite login loop occurring due to this issue. I get the message:
GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)
printed onto tty6, and my .xsession-errors log file has a line saying:
 .: 34: Can't open /home/avius/.profile

I tracked down where this was coming from, and it is located in the script /etc/gdm/Xsession
At line 34, it does a relatively simple thing - it tries to execute the /home/avius/.profile file.
I did some experimenting and apparently the issue happens because of a permissions problem. For instance, as a method of debugging, I inserted a line of code right before the line I just mentioned, with the command ls -al $HOME
As expected, it returns an error stating that permissions where denied to enter my home directory. I used chroot to temporarily change permissions on my home directory and the .profile file so that each could be completely read, modified, executed by everyone, but the infinite loop persists.

Any ideas?

Steve (steve-puppet-head) wrote :

Just tried to do a beta 1 install using the normal desktop cd, it locks up on the flashing red dots screen. Hitting the power button to shutdown shows this error at the top.

This is mis-filed; I don't know where the glib message is coming from, but it's not util-linux - it just happens that two messages are overlapped

affects: util-linux (Ubuntu) → ubuntu
nacirema (pvonderporten) wrote :

Every so often my system crashes (current Lucid) and I get a black screen with just this error message. Any ideas on a fix?

nacirema (pvonderporten) wrote :

Here's a screenshot... I'll be running normally then, all of a sudden, this.

John King (solar95king) wrote :

I have a plymouth issue that might be related; booting the March 10th Daily CD, the March 17 Daily CD, and the Beta 1 CD all fail when using the graphical boot, the latter two seeming to freeze on the bootsplash but the first displaying the GLib warning. I could communicate with the kernel with Alt+SysRq, so that might rule out a kernel issue. Deleting the quietsplash option in boot options (getting rid of the bootsplash) however, allowed all of them to boot perfectly.

oktiv (drlench) wrote :

Ditto! i have this bug on a dell optiplex gx260 celeron 1.7 and dell inspiron 8100

the optiplex i can get installed and logged into before the message is displayed
the inspiron gives the message before install is available

end of april seems so far away :(

oktiv (drlench) wrote :

my VBox install is fine. no error :?

ggoodenough (ggoodenough) wrote :

I get a very similar warning when I try and install the Beta 1 x64 release of 10.04 on a Dell GX620.

(process:271): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)

This error occurs after the splash screen. I can't do anything but power cycle the machine.

Here's the specs of the box:

Optiplex GX620
BIOS version: A11

Processor:
Intel Pentium D 2.80GHz
64-bit Technology = EM64T

Memory:
2.0Gb 533MHz DDR2 SDRAM Unbuffered

Serial ATA Drive (Seagate ST3320418AS)

The video is Intel integrated

ggoodenough (ggoodenough) wrote :

I did some further testing and it seems that the installing from CD is not a problem on the GX620 as described above. I was installing from a USB key when I received the above error.

oktiv (drlench) wrote :

oops!

i meant dell Optiplex GX260
i've tried the dailys for Lubuntu and Ubuntu 10.04 it seems to be related to Ubuntu

I hate to me too it, but...

DELL Precision T3400, DELL Precision T7500 and a Generic PC with a Gigabyte motherboard and P4 3GHz with 4GB RAM (the box I am on at the moment with 9.10 happily running) all having this problem at bootsplash screen (couldn't get any further than the ugly purple screen with all the dots filled red). I'm running dual screens so could see this error on the second monitor. I was trying the 10.04 beta 1 desktop i386 boot disk.

I removed quite splash option at boot and happily booted on the T7500. I'll try the other two and let you know if it doesn't work.

Cheers,

demented

update - quiet splash on the generic PC worked as well. Happily running off boot disc on that one too.

Cheers,

Demented

achab (gzmorell) wrote :

This bug also affect this computer, 2.6.32-18-generic #27-Ubuntu SMP

lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
02:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
85:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
86:02.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70)

gare-calhoun (gare-calhoun) wrote :

same here on my x64

FWIW I also get that message when I run Lucid in VirtualBox, but there's no problem here. The system boots fine and GDM starts without problems. I investigated it a little bit and the message is coming from plymouth. Removed plymouth-label and the message is gone. But like I said there's no problem here, my guess is that it has nothing to do with booting/GDM problems, it just happens to be the last message you see.

avius (avi142) wrote :

So, does anyone know anything about this bug? Or if everyone even has the same bug? After posting the message here several weeks ago (#6), I have gotten a compromise solution sort of working. About a day or so after I posted, I decided to install kubuntu-desktop to see if the issue was really with gdm. The result is a very strange situation. If I select "recovery mode" from the grub menu when I boot and start kde with kdeinit from a tty, I get only a partial bootup that displays login screen, correctly verifies credentials, and loads the background image of the desktop. Then, it displays an ugly xterm and stops loading the desktop. From the xterm, I need to type things like plasma-desktop, kinit --replace, etc, at which point I can start all the services I need manually and get a full blown working K desktop going.

Obviously, that solution wasn't very appealing. However, for an unexplained reason when I just go along with normal boot (after reconfiguring KDE as my default desktop), I get taken to the GDM greeter, which suddenly works perfectly (while still outputting the same glib pwuid error to the tty) except now, there is no option to boot into gdm from the dropdown menu. When I boot into KDE, everything goes as it should - I don't have to start any services manually, the bootup is very quick, and of course it all looks beautiful. However, for a brief moment I get to glimpse my old gnome desktop background image. Furthermore, when I have a terminal running with the "transparent" mode, it thinks that the gnome background image is being displayed, and uses that as the image to fade out with transparency. I'll post a screenshot. Then, when I logout (I can't shutdown directly from within KDE since it was loaded via gdm greeter) I see a brief flash of my other background image. These lead me to believe that somehow both gdm and kde are running simultaneously, one behind the other, but other things I have tried to do don't confirm this hypothesis.

Any ideas, and which logs should I post?

Got same problem after attempt to upgrade from karmic and then while trying to do a fresh install from a usb stick

ThomasLee82 (kamiyasha) wrote :

Just installed Lucid Kubuntu from a flash drive and unable to log in via KDM. My .xsession-errors is as follows

Xsession: X session started for thomas at Fri Apr 9 02:05:42 CDT 2010
konsole(1321)/kdeui (kdelibs): Attempt to use QAction "change-profile" with KXMLGUIFactory!
x-terminal-emulator: ../../src/xcb_io.c:385: _XAllocID: Assertion `ret != inval_id` failed.
KCrash: Application 'x-terminal-emulator' crashing....
Warning: connect() failed: : No such file or directory
KCrash cannot reach kdeinit, launching directly.
No protocol specified
drkonqi: cannot connect to X server :0.0

System is Toshiba Satellite L45-S4687.

Ainer (ainer) wrote :

I'm having the same, or similar, problem under Beta 2 x64 Desktop using a USB drive to install. I ran the install in Expert Mode as the system was locking up at the boot screen with the Ubuntu logo and the orange/white dots it would freeze up and I would have to do hard reboot to get the system to respond. I am getting this error message on TTL 7:

(process: 399): GLib-WARNING **: getpwuid_r(): failed due to unknown user id (0)

and on TTL 1:

(initramfs) mount: mounting aufs on /root failed: Invalid argument aufs mount failed

 I have had problems ever since late in Alpha 3 prior to that I was able to run 10.04 without any serious issue but sometime during the Alpha 3 phase an update was released that caused my system to no longer boot. I reverted to 9.10. I tried to update to Beta 1 but the problem was still there (updated via the update manager not via a clean install).

This seems to be a serious and persistent problem that manifested itself late during the Alpha 3 phase. I hope someone with the know how takes a look at it before it's too late to be addressed.

I would be happy to do further testing I just need to be told what to do.

description: updated
description: updated
Raymond Hill (rhill) wrote :

Just got this bug, again, during a session. I was browsing using Firefox at the time. Also running were Filezilla, gedit, Virtuabox OSE. The keyboard becomes unresponsive, the computer requires a cold reboot.

This bug has happens to me on a regular basis, with only the process id differing each time.

Running Release 10.04 (lucid) (64-bit version)
Kernel Linux 2.6.32-20-generic
GNOME 2.30.0
Intel i5 + Integrated graphics + H55 chipset

Raymond Hill (rhill) wrote :

As seen in glib-2.24.0/glib/gutils.c, line 1658, the case leading to the warning (which occurs prior to the computer freeze in my case) should be "pretty rare":

"we bail out prematurely if the user id can't be found (should be pretty rare case actually), or if the buffer should be sufficiently big and lookups are still not successfull."

Whoever owns this source might be able to provide insight?

Since the computer freezes, I haven't been able to see from which process the warning originate. So I have taken a snapshot of the process list around with pid 300-400, so I should be able to see which process was the problem next time the problem occurs.

Avi Greenbury (bigreds) wrote :

I get the same error message on boot. For a while I'd avoid it by using a particular kernel, (2.6.32-16 I *think*) but since updating today all installed kernels do it (31-20, 32-16, 32-21).

I get the error message, hit any key to get to the 'Xubuntu' screen with 'keys:' under it, then ctrl-alt-f* to get to a tty and startx. It appears to work, but I don't know why.

Raymond Hill (rhill) wrote :

I got the same message four times since my last entry here, each time accompanied by a computer freeze requiring a boot. For the first three times, I couldn't identify the process from the id. The last time, the process matching the id was scsi_eh_3. What to make of this? Of the 6 scsi_eh_? listed in the process list, scsi_eh_3 was the only one with a CPU time different than zero (in case this matters). I am wondering of the problem is related to some sort of disk operation, as I remember clearly than in at least two occurrences, I had just used the save function in gedit.

wchristian (wchristian) wrote :

same here, when loading self-compiled mantis.ko
10.04 up2date, x64

Game Over! (a20365354) wrote :

I get same bug,I cannot boot when I see this message.I must reboot in recovery mode and reboot again to normal mode to run ubuntu.
I am using ubuntu 10.04 RC,upgrade from ubuntu 9.10 stable. 32 bit ubuntu.

I think it is the other way around, that bug 532984 is a duplicate of this one (531027). The bug id number tells you this.

--- On Tue, 4/27/10, Game Over! <email address hidden> wrote:

From: Game Over! <email address hidden>
Subject: [Bug 531027] Re: GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)
To: <email address hidden>
Date: Tuesday, April 27, 2010, 6:14 AM

*** This bug is a duplicate of bug 532984 ***
    https://bugs.launchpad.net/bugs/532984

I get same bug,I cannot boot when I see this message.I must reboot in recovery mode and reboot again to normal mode to run ubuntu.
I am using ubuntu 10.04 RC,upgrade from ubuntu 9.10 stable. 32 bit ubuntu.

--
 GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)
https://bugs.launchpad.net/bugs/531027
You received this bug notification because you are a direct subscriber
of the bug (via bug 532984).

Just started getting this error on 10.04.
Crashes to black screen.
All that is on the screen is that message, top left corner.

DrFaNaTiC (drfanatic) wrote :

Same here on a Dell Inspiron 6400.

Ubuntu 10.04
Linux dell 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux

akke (akhoeks) wrote :

Same here. Though I actually CAN boot.
I m using Lubuntu 10.04. on a Dell dimension 2400.
The only program I m using during the error is Chromium.
The only way to solve the problem is to reboot and wait until the problem occurs again.

Madhusudhan (madhums8) wrote :

Same here on Dell Studio 1450 and Ubuntu 10.04 64 bit

ATI Technologies Inc M92 [Mobility Radeon HD 4500 Series] is my graphics card.

Upgradation from Karmic to Lucid works fine (crashes a lot sometimes...)

But, when I try to install Lucid from a CD, it throws this error.

rictec (rictec) wrote :

i notice this message as i m trying to solve another problem
but the sistem goes to the gm and everything works except i cant shudown
Acer TravelMate 4001LMi laptop thats my lap with this
and with 10.04 upgrade from 9,10

Rictec

Joe Baldwin (joseph-baldwin) wrote :

Are we all using Dell kit? I'm getting this issue at boot on a Dell E4200. Seems intermittant.

My other custom PC is fine and was built from the same install media.

Thanks

Brian Neale (brian-neale) wrote :

I'm on a Toshiba portege M100 and having the same issue, although only with the Ubuntu 10.04 distros. I've tried Ubuntu, Lubuntu, Peppermint, the New Puppy, Xubuntu, and Mint 9 RC. All give the exact same error during install, without even reaching any Gnome screen or similar.

Am i doomed to be stuck on 9.10 forever, regardless of which distro i'm using?

Steve Langasek (vorlon) on 2010-05-19
summary: - GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)
+ spurious warning at boot time that is unrelated to your actual problem
ralphb (dev-endlos) wrote :

Steve, just what would our "actual problem" be if not the Glib error message?

I also observe this issue, albeit not at login, but at logout, and ONLY on my Dell laptop. Oh, and I'm using kdm, not gdm. I simply wouldn't know which package to file this bug report against.

Please also note that this crashes the system, which makes this bug rather critical.

summary: - spurious warning at boot time that is unrelated to your actual problem
+ GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)
ralphb (dev-endlos) wrote :

Some additional information: When I reproduce the issue, the process id doesn't actually exist. For instance, the error message refers to process 354. But my process list prior to logging out was

root 316 0.0 0.0 0 0 ? S 22:20 0:00 [scsi_eh_4]
root 317 0.0 0.0 0 0 ? S 22:20 0:00 [khpsbpkt]
root 322 0.0 0.0 0 0 ? S 22:20 0:00 [i915]
root 323 0.0 0.0 0 0 ? S 22:20 0:00 [knodemgrd_0]
root 373 0.0 0.0 0 0 ? S 22:20 0:00 [jbd2/sda1-8]
root 374 0.0 0.0 0 0 ? S 22:20 0:00 [ext4-dio-unwrit]

Steve Langasek (vorlon) wrote :

I don't *know* what your actual problem is, because everyone who's commenting on this bug is focusing on the generic and inconclusive warning message. You should file a separate bug report and describe in detail the issue that you personally are experiencing.

Once more dropping the error message from the bug description, because listing it there just leads more users to follow up to a bug report that's not going to help them.

summary: - GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)
+ spurious warning at boot time that is unrelated to your actual problem
Jussi Mononen (jussi-mononen) wrote :

Happens on my laptop too, IBM T41p, Kubuntu 10.4.Freezes without a warning to black screen with the glib-warning in the upper left corner.

Linux hki-l3821 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

Distributor ID: Ubuntu
Description: Ubuntu 10.04 LTS
Release: 10.04
Codename: lucid

/var/log/syslog does not show anything interesting, there are no entries for 5-6 minutes before the freeze.

tux-sven (sven.b) wrote :

I also have the same problem at startup. I use Linux Mint9 (Ubuntu10.04) on Asus Aspire One D250.
GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)
I haven't knowledge to solve it out by myself. A programmer must know from where the output comes?? Please help us, you can't ignore this problem - it's a real thing for many of us!!

tArKi (djtarki) wrote :

I updated Ubuntu today and I got the same problem here after updating Lucid AMD64:

GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)

Thus I cannot start Ubuntu and I cannot work then.

Any fix for this huge bug?

Thanks very much.

Andriy Gromovyk (imgrom) wrote :

folks,
I have the same problem fixed on my tablet-pc.
Symptoms was : error **GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id (0)** while booting and PC was stopped to boot into GUI, while network was up and fully functional.
I have found another bug in X-logs "VT_WAITACTIVE"
Fixed with adding sleep into bottom of /etc/init/gdm.conf
-------
sleep 5
    exec gdm-binary $CONFIG_FILE
end script
--------
By the way, error with Glib is still unrecovered and appeared at start as well as at shutdown.

buntolo (carlotto1987) wrote :

bug #532984 refers to an alpha version (Alpha 3), when this problem hit the regular release too.

Computer: hp Compaq 6720s
OS: lucid-desktop-amd64.iso (10.04 64 bit full install official release, no upgrade, no alpha/beta/RC)

I've got the same error 4 or 5 times in 114 boots (i've counted them with bootchart), except that I've got process 344.

"(process:344): GLib WARNING **: getpwuid_r(): failed due to unknown user id (0)"

The process' number is useless for the bug, because processes aren't always launched in the same order, so for one it will be 348, for another it will be 380...

SlamsornasKung (iisffgwg) wrote :

Got the same error yesterday - out of the blue. Forced me to to a ”cold reboot”.

Computer: HP NC2400
OS: Ubuntu 10.04 LTS (clean install - no upgrade).

John Bester (john-bester) wrote :

After getting "GLib WARNING **: getpwuid_r(): failed due to unknown user id (0)" on fresh install of Lubuntu 10.4 and reading lots of posts, I looked and /var/log/lxdm.log and found a message stating that no screens could be detected. I then found there was a rahter empty xorg.conf in /etc/X11. I renamed it to xorg.conf.bak and rebooted and whala - problem solved (for me at least).

shaggy (shaggysdcbike) wrote :

having same problem as well but getting it not only when booting but after system is up and running get it doing just about anything on my dell com it getting to be annoying due to cant get any of my work done for it upgraded to ubuntu 10.04 lucid from ubuntu 9.10 been getting it ever since has anyone found a fix for it

Silvone (sivl) wrote :

Often I'll get the same error message while booting:
GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id
This error occurs after the splash screen. It doesn't show the logon screen, so I have to power off and power on my computer from power button.
I'm running Linux Mint 9 amd64 on notebook Toshiba Satellite L300-1AM.
$lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)

Vallery Lancey (muscovy) wrote :

I'm getting this error as well. I'm on 10.04, and have been installed for a little over a week. This has been showing up on almost all boots for the last two days, and about every third boot freezes.

GLib-Warning: **: getpwuid_r(): failed due to unknown user id (0)

Actually, I have the same problem and before I got that, I have updated the initramfs package from the Update Manager. I think this update screws the whole system and shows a deceitful message related to Glib.

It is impossible, because when I get into the initiramfs console, I can't use sudo and update-grub also. I am replying this thread from Live CD.

I forgot to say I only use Ubuntu in this machine and I don't have menu.lst in /boot/grub/.

tresp (spiderthree) wrote :

hi
same problem here
ubuntu lucid 32bit 10.04.1
pentium4
nvidia geforce4
I can't install it
bye
tresp

franqz (fzenhorst) wrote :

hi there

i think same problem. installed Linux 10.04
when linux suddenly crashes this message appeals (proces 271) GLIB - warning getpwuid_r() : failed due to unknown uster id (o) ' .

How can i fix this problem???

thanks

Franqz

JarekJ83 (jarekj83) wrote :

same problem in Maverick 10.10 when i get ctrl+alt F1 etc..

(proces 290) GLIB - warning getpwuid_r() : failed due to unknown uster id (o)

tux75 (tux1975) wrote :

ABOUT SYSTEM AND UBUNTU VERSION I USE:
I'm using Ubuntu 10.10 on ASUS EEEPC 904HA, and I've a similar bug (i cannot listen the gdm sounds such as the user who reported this bug the 1st time). I don't know to which package refer the bug report.

ERROR MESSAGE:
(process:265) Glib_WARNING ** getpwuid_r failed due to unknown user id (0).

TO PRODUCE THE BUG:
It happens each time i turn off my computer without unmounting of external storage devices (such us usbstick).

HOW I FIX:
I can fix this bug starting the system from a live distro and executing sudo fsck /dev/<rootpartition>.

Fiona Conn (roseyeagle) wrote :

Also having this issue in Kubuntu Maverick 10.10 (KDE 4.5.1), usually just prior to the KDM appearing, but sometimes, it actually *stops* the startup, and the only way I can sort it is to power cycle and hope the next startup runs more smoothly. If it's any help, I'm on an Acer Aspire.

phil gray (philkgray) wrote :

This error also occurs on my HP mini 110 running ubuntu 10.10.
I get:
GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id
when returning from suspend mode, but it goes away after a few seconds.
I also sometimes get the error message when booting, and it wil not go away, and ubuntu does not boot.

description: updated
description: updated
bosko431 (bosko431) wrote :

Same sentence here. My Linux Mint box freezes out with this message occasionally. Any solutions?

Xtien (xtien) wrote :

I'm having this problem consistently when booting from a usb stick, created with startup disk creator. I use Maverick Meerkat.

xaav (xaav) on 2011-01-01
Changed in ubuntu:
status: New → Confirmed
Robert Roser (egbert69-gmail) wrote :

I had this bug on one my computers, even when I formated the hard drive and tried to reinstall Ubuntu the same error came up "GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id" no mater what edition of Ubuntu I tried to installed I stilled had the same error. Which mean its not from Ubuntu. I then formated the hard Drive using XP home edition and started installation and it came up with read error, That reminded me about a computer I had with a Virus in the BIOS which wouldn't let me install any operating system, The only way I could get rid of the virus was to pull the CMOS battery and left it for a couple of days. I tried Installing Ubuntu with out the CMOS it work with no error. I now have a working computer.

 I think the "GLIB WARNING ** GLib - getpwuid_r(): failed due to unknown user id" is how Ubuntu reacts with the Virus.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions